#!/usr/bin/env python3
# !!!
import sys, os
QMCCHEM_PATH=os.environ["QMCCHEM_PATH"]
sys.path.insert(0,QMCCHEM_PATH+"/EZFIO/Python/")
# !!!
from ezfio import ezfio
from datetime import datetime
import time


# ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ #
file_to_save = 'postsvd_1.txt'
# ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ #


if __name__ == '__main__':
    # !!!
    if input("are you sure you want before saving in {}? (y/n)".format(file_to_save)) != "y":
        exit()
    # !!!
    t0 = time.time()
    # !!!
    filename = "/home/ammar/qp2/src/svdwf/h2o_pseudo_1_postsvd"
    ezfio.set_file(filename)
    # !!!
    n_svd = ezfio.get_spindeterminants_n_svd_coefs()
    d_svd = ezfio.get_spindeterminants_psi_svd_coefs()
    u_svd = ezfio.get_spindeterminants_psi_svd_alpha()
    v_svd = ezfio.get_spindeterminants_psi_svd_beta()
    # !!!
    print("Today's date:", datetime.now() )
    print("EZFIO filename: {}".format(filename))
    # !!!   
    file = open(file_to_save, 'a') 
    #
    file.write('\n \n \n')
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    file.write("Today's date: {}\n".format(datetime.now()) )
    file.write("EZFIO filename = {}\n".format(filename))
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    #
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    file.write( 'n_svd :')
    file.write( str(n_svd) )
    file.write('\n \n \n')
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    #
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    file.write( 'd_svd :')
    file.write( str(d_svd) )
    file.write('\n \n \n')
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    #
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    file.write( 'u_svd :')
    file.write( str(u_svd) )
    file.write('\n \n \n')
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    #
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    file.write( 'v_svd :')
    file.write( str(v_svd) )
    file.write('- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -\n \n')
    #
    file.write('\n')
    file.write('+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +\n \n')
    #   
    file.close()
    # !!!
    print("SVD save in {} after {:.3f} minutes".format( file_to_save, (time.time()-t0)/60.) )
    # !!! 
# !!!


